from __future__ import annotations
from typing import runtime_checkable, Protocol, TypeVar

@runtime_checkable
class IAS_FftPsf(Protocol):
    @property
    def SampleSize(self): ...
    @property
    def OutputSize(self): ...
    @property
    def Rotation(self): ...
    @property
    def ImageDelta(self): ...
    @property
    def UsePolarization(self): ...
    @property
    def Type(self): ...
    @property
    def Normalize(self): ...

N = TypeVar("N", bound=IAS_FftPsf)
